List open positions
curl --request GET \
--url https://partners.centaur.io/api/v1/positions/open \
--header 'x-api-key: <api-key>'import requests
url = "https://partners.centaur.io/api/v1/positions/open"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://partners.centaur.io/api/v1/positions/open', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"results": [
{
"id": 123,
"direction": "long",
"openAt": "2023-11-07T05:31:56Z",
"openPrice": 123,
"quoteSymbol": "<string>",
"currentPrice": 123,
"currentReturnPercentage": 123,
"traderId": 123,
"assetId": 123
}
],
"meta": {
"hasMore": true,
"nextCursor": "<string>"
}
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}{
"success": false,
"error": {
"code": "INVALID_CURSOR",
"message": "Malformed cursor"
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized"
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}{
"success": false,
"error": {
"code": "FORBIDDEN",
"message": "Forbidden"
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"details": "<unknown>"
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}{
"success": false,
"error": {
"code": "AUTHENTICATION_UNAVAILABLE",
"message": "Authentication is temporarily unavailable"
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}Positions
List open positions
Returns currently open positions with best-effort current marks and live mark-to-market return when pricing is available.
GET
/
api
/
v1
/
positions
/
open
List open positions
Authorizations
API key issued by Centaur.
Query Parameters
Filter to specific trader IDs.
Filter to specific asset IDs.
Filter to long and/or short positions.
Maximum number of rows to return.
Required range:
1 <= x <= 200Forward pagination cursor from meta.nextCursor.
Minimum string length:
1Last modified on August 21, 2026